Create Wikipedia Shan
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikipedia Shan.

Thank you.

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes

All I'm able to do was done. This is now waiting on a sysadmin to create the wiki.

Dzahn added a subscriber: Dzahn.Oct 19 2018, 5:43 PM

Change 467080 merged by Dzahn:
[operations/dns@master] Add shn to langs.tmpl

https://gerrit.wikimedia.org/r/467080

Mentioned in SAL (#wikimedia-operations) [2018-10-19T17:47:12Z] <mutante> DNS - 'authdns-gen-zones -f /srv/authdns/git/templates /etc/gdnsd/zones && gdnsd checkconf && gdnsd reload-zones' - needed when adding new languages to langs.tmpl - adding "shn" (Shan language) T206777

Dzahn added a comment.Oct 19 2018, 5:55 PM

^ there might be an issue with this, it seems "gdnsd reload-zones" isn't the correct syntax anymore.. hold on for a bit..

Mentioned in SAL (#wikimedia-operations) [2018-10-19T19:20:57Z] <mutante> ns0 / ns1 - authdns-gen-zones -f /srv/authdns/git/templates /etc/gdnsd/zones && gdnsdctl reload-zones - to add new language shn (T206777)

Dzahn added a comment.Oct 19 2018, 7:21 PM

shn has been created in DNS:

shn.wikipedia.org has address 208.80.154.224
shn.wikipedia.org has IPv6 address 2620:0:861:ed1a::1

Meno25 added a subscriber: Meno25.Oct 24 2018, 7:43 PM

Change 467323 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for shnwiki

https://gerrit.wikimedia.org/r/467323

Change 473488 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Add new wikis to wikiversions.json

https://gerrit.wikimedia.org/r/473488

Change 473488 merged by Reedy:
[operations/mediawiki-config@master] Add new wikis to wikiversions.json

https://gerrit.wikimedia.org/r/473488

Change 473494 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Remove shnwiki TZ

https://gerrit.wikimedia.org/r/473494

Change 473494 merged by Reedy:
[operations/mediawiki-config@master] Remove shnwiki TZ

https://gerrit.wikimedia.org/r/473494

Reedy added a subscriber: Reedy.Nov 14 2018, 2:15 PM

Change 473494 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Remove shnwiki TZ

https://gerrit.wikimedia.org/r/473494

2018-11-14 13:54:31 [W@wpFwpAMFUAAHRa9uIAAAAN] mw1250 shnwiki 1.33.0-wmf.3 exception ERROR: [W@wpFwpAMFUAAHRa9uIAAAAN] /wiki/%E1%81%B6%E1%80%AD%E1%80%AF%E1%81%B5%E1%80%BA%E1%82%89%E1%80%90%E1%80%BD%E1%81%BC%E1%80%BA%E1%80%B8:%E1%80%84%E1%80%9D%E1%80%BA%E1%82%88%E1%81%B5%E1%80%AF%E1%80%99%E1%80%BA%E1%80%B8%E1%81%B5%E1%81%A2%E1%81%BC%E1%80%BA   Wikimedia\Timestamp\TimestampException from line 303 of /srv/mediawiki/php-1.33.0-wmf.3/vendor/wikimedia/timestamp/src/ConvertibleTimestamp.php: Wikimedia\Timestamp\ConvertibleTimestamp::setTimezone: Invalid timezone. {"exception_id":"W@wpFwpAMFUAAHRa9uIAAAAN","exception_url":"/wiki/%E1%81%B6%E1%80%AD%E1%80%AF%E1%81%B5%E1%80%BA%E1%82%89%E1%80%90%E1%80%BD%E1%81%BC%E1%80%BA%E1%80%B8:%E1%80%84%E1%80%9D%E1%80%BA%E1%82%88%E1%81%B5%E1%80%AF%E1%80%99%E1%80%BA%E1%80%B8%E1%81%B5%E1%81%A2%E1%81%BC%E1%80%BA","caught_by":"mwe_handler"}

It doesn't work on HHVM, but works fine on PHP 7.0 on the cluster. As such, I'd suggest reapplying this (or reverting my patch) once T176370: Migrate to PHP 7 in WMF production is complete

Change 473507 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/restbase/deploy@master] Add 4 new wikis

https://gerrit.wikimedia.org/r/473507

Change 473510 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Add shnwiki to InterwikiSortOrders.php

https://gerrit.wikimedia.org/r/473510

Ninjastrikers added a comment.EditedNov 14 2018, 2:27 PM

Timezone setting should be as "Asia/Rangoon". Rangoon is old name of Yangon. TZ setting in MediaWiki's Preferences listing as "Asia/Rangoon".

Reedy added a comment.Nov 14 2018, 2:30 PM

Timezone setting should be as "Asia/Rangoon". Rangoon is old name of Yangon. TZ setting in MediaWiki's Preferences listing as "Asia/Rangoon".

http://php.net/manual/en/timezones.asia.php - No, it's not supported/listed

Change 473517 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/cxserver@master] Add shn

https://gerrit.wikimedia.org/r/473517

Change 473520 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Add 4 new wikis

https://gerrit.wikimedia.org/r/473520

Reedy added a comment.Nov 14 2018, 2:52 PM

Timezone setting should be as "Asia/Rangoon". Rangoon is old name of Yangon. TZ setting in MediaWiki's Preferences listing as "Asia/Rangoon".

http://php.net/manual/en/timezones.asia.php - No, it's not supported/listed

But it actually works...

Change 473507 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Add 4 new wikis

https://gerrit.wikimedia.org/r/473507

Do we need to open a new task to change the sitename "Wikipedia" to "ဝီႇၶီႇၽီးတီးယႃး" ?

Reedy added a comment.Nov 14 2018, 3:20 PM

Looks like it was requested in the original description, so nope. You can make a patch though if you want, as I just mostly see white squares :(

Change 473520 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Add 4 new wikis

https://gerrit.wikimedia.org/r/473520

Do we need to open a new task to change the sitename "Wikipedia" to "ဝီႇၶီႇၽီးတီးယႃး" ?

Sorry, I thought I included this in the initial settings patch. Going to fix it.

Change 473670 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Change sitename of shnwiki

https://gerrit.wikimedia.org/r/473670

Urbanecm assigned this task to Reedy.Nov 15 2018, 7:18 AM

Assigning those task to @Reedy as he created the wikis. Leaving open for possible fixes if those will be necessary.

Change 473517 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Add shn

https://gerrit.wikimedia.org/r/473517

Mentioned in SAL (#wikimedia-operations) [2018-11-15T12:52:10Z] <mobrovac@deploy1001> Started deploy [restbase/deploy@22cb0ec]: Add new wikis to RESTBase - T206777 T205710 T205546 T204477

Mentioned in SAL (#wikimedia-operations) [2018-11-15T13:12:06Z] <mobrovac@deploy1001> Finished deploy [restbase/deploy@22cb0ec]: Add new wikis to RESTBase - T206777 T205710 T205546 T204477 (duration: 19m 56s)

The project namespace "ဝီႇၶီႇၽီးတီးယႃး" ("Wikipedia:") is been created in project talk namespace with "ဝီႇၶီႇၽီးတီးယႃး:". The localized project namespace is corrected, but the created location is wrong (it's created in discussion).

The following link is similar to "Wikipedia:Request for Adminship". But it was created in project talk namespace and the project namespace is showing in Red.
Link: https://shn.wikipedia.org/wiki/%E1%80%9D%E1%80%AE%E1%82%87%E1%81%B6%E1%80%AE%E1%82%87%E1%81%BD%E1%80%AE%E1%80%B8%E1%80%90%E1%80%AE%E1%80%B8%E1%80%9A%E1%82%83%E1%80%B8:Requests_for_adminship

Project namespace: ဝီႇၶီႇၽီးတီးယႃး
Project talk namespace: ဢုပ်ႇၵုမ်_ဝီႇၶီႇၽီးတီးယႃး

I think it needs to add _ instead of space.

Change 474124 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Remove wgMetaNamespaceTalk for shnwiki

https://gerrit.wikimedia.org/r/474124

The project namespace "ဝီႇၶီႇၽီးတီးယႃး" ("Wikipedia:") is been created in project talk namespace with "ဝီႇၶီႇၽီးတီးယႃး:". The localized project namespace is corrected, but the created location is wrong (it's created in discussion).

The following link is similar to "Wikipedia:Request for Adminship". But it was created in project talk namespace and the project namespace is showing in Red.
Link: https://shn.wikipedia.org/wiki/%E1%80%9D%E1%80%AE%E1%82%87%E1%81%B6%E1%80%AE%E1%82%87%E1%81%BD%E1%80%AE%E1%80%B8%E1%80%90%E1%80%AE%E1%80%B8%E1%80%9A%E1%82%83%E1%80%B8:Requests_for_adminship

Project namespace: ဝီႇၶီႇၽီးတီးယႃး
Project talk namespace: ဢုပ်ႇၵုမ်_ဝီႇၶီႇၽီးတီးယႃး

I think it needs to add _ instead of space.

Looks I made terrible mistake. Uploaded a fixing patch.

Mentioned in SAL (#wikimedia-operations) [2018-11-16T11:13:21Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@473b0de]: Update cxserver to b7cdb26 (T208831, T203077, T203160, T206777) (duration: 04m 26s)

The project namespace "ဝီႇၶီႇၽီးတီးယႃး" ("Wikipedia:") is been created in project talk namespace with "ဝီႇၶီႇၽီးတီးယႃး:". The localized project namespace is corrected, but the created location is wrong (it's created in discussion).

The following link is similar to "Wikipedia:Request for Adminship". But it was created in project talk namespace and the project namespace is showing in Red.
Link: https://shn.wikipedia.org/wiki/%E1%80%9D%E1%80%AE%E1%82%87%E1%81%B6%E1%80%AE%E1%82%87%E1%81%BD%E1%80%AE%E1%80%B8%E1%80%90%E1%80%AE%E1%80%B8%E1%80%9A%E1%82%83%E1%80%B8:Requests_for_adminship

Project namespace: ဝီႇၶီႇၽီးတီးယႃး
Project talk namespace: ဢုပ်ႇၵုမ်_ဝီႇၶီႇၽီးတီးယႃး

I think it needs to add _ instead of space.

Looks I made terrible mistake. Uploaded a fixing patch.

Is this fixed? The issue's still unchanged.

Change 474338 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Add Czech alias to Special:WelcomeSurvey

https://gerrit.wikimedia.org/r/474338

(sorry for the patch above, copy&paste mistake)

The project namespace "ဝီႇၶီႇၽီးတီးယႃး" ("Wikipedia:") is been created in project talk namespace with "ဝီႇၶီႇၽီးတီးယႃး:". The localized project namespace is corrected, but the created location is wrong (it's created in discussion).

The following link is similar to "Wikipedia:Request for Adminship". But it was created in project talk namespace and the project namespace is showing in Red.
Link: https://shn.wikipedia.org/wiki/%E1%80%9D%E1%80%AE%E1%82%87%E1%81%B6%E1%80%AE%E1%82%87%E1%81%BD%E1%80%AE%E1%80%B8%E1%80%90%E1%80%AE%E1%80%B8%E1%80%9A%E1%82%83%E1%80%B8:Requests_for_adminship

Project namespace: ဝီႇၶီႇၽီးတီးယႃး
Project talk namespace: ဢုပ်ႇၵုမ်_ဝီႇၶီႇၽီးတီးယႃး

I think it needs to add _ instead of space.

Looks I made terrible mistake. Uploaded a fixing patch.

Is this fixed? The issue's still unchanged.

No. It should be fixed in next deployment window, 12:00-13:00 UTC (in ~4 hours).

Change 474124 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove wgMetaNamespaceTalk for shnwiki

https://gerrit.wikimedia.org/r/474124

Mentioned in SAL (#wikimedia-operations) [2018-11-19T12:21:49Z] <pmiazga@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:474124]|Remove wgMetaNamespaceTalk for shnwiki (T206777)]] (duration: 00m 46s)

namespaceDupes maintenance script was run. Output:

pmiazga@mwmaint1002:~$ mwscript namespaceDupes.php shnwiki
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!
pmiazga@mwmaint1002:~$ mwscript namespaceDupes.php shnwiki --fix
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!

Is this fixed? The issue's still unchanged.

No. It should be fixed in next deployment window, 12:00-13:00 UTC (in ~4 hours).

Should be fixed now. Let me know if you face any other problems.

Is this fixed? The issue's still unchanged.

No. It should be fixed in next deployment window, 12:00-13:00 UTC (in ~4 hours).

Should be fixed now. Let me know if you face any other problems.

Working fine now. Thank you!

Nice to hear that.

The wiki isn't available in the Toolforge database yet; is that expected?

MariaDB [metawiki_p]> SELECT * FROM meta_p.wiki WHERE dbname = 'shnwiki';
Empty set (0.01 sec)

@Pathoschild Ÿes, at least it matches status of corresponding Phab task - Toolforge access is in scope of T206916.

The wiki isn't available in the Toolforge database yet; is that expected?

MariaDB [metawiki_p]> SELECT * FROM meta_p.wiki WHERE dbname = 'shnwiki';
Empty set (0.01 sec)

Should be working now. Can you check?

It doesn't seem to be added yet:

MariaDB [metawiki_p]> SELECT * FROM meta_p.wiki WHERE dbname = 'shnwiki' OR url = 'https://shn.wikipedia.org';
Empty set (0.01 sec)

Change 473670 merged by jenkins-bot:
[operations/mediawiki-config@master] Change sitename of shnwiki

https://gerrit.wikimedia.org/r/473670

Mentioned in SAL (#wikimedia-operations) [2018-12-03T12:28:08Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:473670|Change sitename of shnwiki (T206777)]] (duration: 00m 47s)

It doesn't seem to be added yet:

MariaDB [metawiki_p]> SELECT * FROM meta_p.wiki WHERE dbname = 'shnwiki' OR url = 'https://shn.wikipedia.org';
Empty set (0.01 sec)

Is it okay now?

@Urbanecm Yep, it's there now. Thanks!

Urbanecm closed this task as Resolved.Mon, Dec 3, 3:58 PM

AFAICS, there's nothing left. Closing as resolved then.